Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.document
Class SessionNode.InsertedChildReferences

    java.lang.Object
      org.modeshape.jcr.cache.document.SessionNode.InsertedChildReferences

All Implemented Interfaces:
  Iterable<SessionNode.Insertions>

Enclosing class:
  SessionNode

    @ThreadSafe
    protected static class SessionNode.InsertedChildReferences

extends Object
implements Iterable<SessionNode.Insertions>

Constructor Summary
`protected` | `SessionNode.InsertedChildReferences()`

Method Summary
`void` | `insertBefore(ChildReference before, ChildReference inserted)`
`ChildReference` | `inserted(NodeKey key)` Get the child reference for the inserted node with the supplied key.
`Iterator<ChildReferences.ChildInsertions>` | `insertions(Name name)`
`ChildReferences.ChildInsertions` | `insertionsBefore(NodeKey key)`
`Iterator<SessionNode.Insertions>` | `iterator()`
`boolean` | `remove(ChildReference inserted)`
`boolean` | `remove(NodeKey key)`
`int` | `size()` Get the number of inserted child references.
`String` | `toString()`
`StringBuilder` | `toString(StringBuilder sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionNode.InsertedChildReferences

    protected SessionNode.InsertedChildReferences()

Method Detail

### size

    public int size()

  Get the number of inserted child references.

  Returns:
    the number of inserted references; never negative

### iterator

    public Iterator<SessionNode.Insertions> iterator()

  Specified by:
    `iterator` in interface `Iterable<SessionNode.Insertions>`

### inserted

    public ChildReference inserted(NodeKey key)

  Get the child reference for the inserted node with the supplied key.

  Parameters:
    `key` - the key for the inserted child reference
  Returns:
    the child reference; may be null if the node was not inserted

### insertions

    public Iterator<ChildReferences.ChildInsertions> insertions(Name name)

### insertionsBefore

    public ChildReferences.ChildInsertions insertionsBefore(NodeKey key)

### insertBefore

    public void insertBefore(ChildReference before,
                             ChildReference inserted)

### remove

    public boolean remove(NodeKey key)

### remove

    public boolean remove(ChildReference inserted)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public StringBuilder toString(StringBuilder sb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.